Issue physical card

Issues a new physical card and assigns it to an existing cardholder. The cardholder to whom the card is to be assigned must first be created using the create a cardholder endpoint, and the cardholder's resultant cardholderId should be used in the path of this endpoint.

It's only possible to assign cards using this endpoint to cardholders whose status is 1 (approved), having successfully completed the necessary compliance process.

When successful, this endpoint automatically generates and assigns the cardId and the card's connected account, which is used for inbound transaction processing and credit settlements to the card, and to systematically segregate and manage pending and held balances associated with the card.

The card's 16-digit primary account number (PAN), card verification value/code (CVV/CVC), and expiry date will also be generated and stored against the cardId at this time, which sensitive data can only be exposed by this endpoint.

Once issued, the card will have a status of 4 (inactive) until the cardholder activates the card.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

A cardholder's unique ID.

Body Params
string

A localized system alias for a card, intended for the cardholder's convenience to distinguish between cards and possible users of those cards.

string
required
length between 1 and 26

Cardholder's preferred name as it will appear on this physical card during the personalization process.

integer

An optional maximum card transaction limit, specific to this card. Can't be greater than the transactionLimit of the cardholder. In the absence of a card-level transactionLimit, the cardholder's transactionLimit (if any) is inherited by default. This parameter is currency- and decimal-implied (e.g. a value of 1000 would represent $10.00 in a U.S. dollar-denominated card program).

integer
enum
required
Defaults to 0

Select the card type, based on the approved and available card designs found under account management. 0 is the program's default card type, and options 1 through 5 correspond to specific card designs (if any).

Allowed:
string
length between 3 and 3

Three-digit country calling code (or international dialing code) associated with the cellNum. The short number prefix assigned and managed by the International Telecommunication Union (ITU) and defined in the ITU-T standards E.123 and E.164, as maintained by IBAN, e.g. 001 for the U.S., 044 for the U.K., 081 for Japan, or 971 for the U.A.E.

string
length between 2 and 2

Country calling code (or international dialing code) associated with the phoneNum. The corresponding two-digit Alpha-2 codes described in the ISO 3166 international standard, as maintained by IBAN.

string
length between 10 and 20

A landline or fixed line phone number (or another alternate to cellNum). This number's country calling code (or international dialing code) is countryCallingCode.

string
length between 10 and 20

A cell phone number (or mobile number). This number's country calling code (or international dialing code) is callingCode.

string
length between 6 and 50
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json